% EXAMPLE_2D Demonstrates translation-invariant hereditary Haar denoising of
% Poisson image

% create bowl image
f = Bowl(256)*100;
sigma = 30;

% generate noisy observations
x = f + randn(size(f))*sigma;

% calculated denoised estimate
y = haarTIApprox2D(x,log(prod(size(x)))*sigma^2/2,'Gaussian');

% display results
figure;imagesc([f x y],[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('Truth -- Data -- Estimate');

return

% read circle image
f = double(imread('testImage.bmp'))/5;
sigma = 0.5*max(f(:));

% generate noisy observations
x = f + randn(size(f))*sigma;

% calculated denoised estimate
y = haarTIApprox(x,log(prod(size(x)))*sigma^2/2,'Gaussian');

% display results
figure;imagesc([f x y],[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('Truth -- Data -- Estimate');

figure;imagesc(f,[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('True Image');

figure;imagesc(x,[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('Poisson Data');

figure;imagesc(y,[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('Estimate');
