%  ExtendRows: Extend matrix by symmetry with damping
%  	E = ExtendRows(X)
%  Inputs
% 	X	n*m array, n dyadic
%  Outputs
% 	Y	(2*n)*m array, n dyadic
%  Description
% 	This creates an array Y with twice as many
%  rows as X.  The additional rows are added at
%  both the top and bottom of the array. The idea
%  is to preserve Hermitian symmetry about the
%  point n/2+1 and also periodicity.
% 	A smooth symmetric tapering window is applied to
%  rows more than n/4 rows away from the median row.
% 
%
%
% Part of BeamLab Version:200
% Built:Friday,23-Aug-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%
%
% Part of BeamLab Version:200
% Built:Saturday,14-Sep-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%