%  t_XInterp -- interpolate data to X-shaped region
%  	X = t_XInterp(Y,O)
%  Inputs
% 	Y	n*n array, n dyadic
% 	Off	binary, offset variable
%  Outputs
% 	X	n*n array, n dyadic
%  Description
% 	Performs Adjoint of XInterp
% 	Each row of X is an interpolation of a
%  corresponding segment of a row of Y; the
%  segments make up an X pattern.  For example,
%  if n=8, and Off=1, the interval of X's corresponds
%  row-by-row to
%  
%        YXXXXXXY
% 		YYXXXXYY
% 		YYYXXYYY
% 		YYY**YYY
% 		YYYXXYYY
% 		YYXXXXYY
% 		YXXXXXXY
% 		XXXXXXXX
% 
%  If n=8 and Off=0 the interval of X's corresponds
%  row-by-row to
%  
%        XXXXXXYY
% 		YXXXXYYY
% 		YYXXYYYY
% 		YYYXYYYY
% 		YYYXXYYY
% 		YYYXXXYY
% 		YYXXXXXY
% 		YXXXXXXX
% 
%
%
% Part of BeamLab Version:200
% Built:Friday,23-Aug-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%
%
% Part of BeamLab Version:200
% Built:Saturday,14-Sep-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%