function y=shift_V(im,x);

%SHIFT_V Shift an image in the vertical direction.
%   y = shift_V(im,x) returns the image im shifted vertically by x pixels.
%   If N is the size of the image in the vertical direction, then x must 
%   fulfill  -N <= x <= N

n=size(im,1);

if x>0
  y(1:x,:)=im(n-x+1:n,:);
  y(1+x:n,:)=im(1:n-x,:);
  
else
  if x<0
    y(1:n+x,:)=im(1-x:n,:);
    y(n+x+1:n,:)=im(1:-x,:); 
  else 
    if x==0
      y=im;
    end
  end
end


